/******************
Universidade Federal de Ouro Preto
Departamento de Computao
Professor: Marcone Jamilson Freitas Souza
Alunos: Eduardo Magno
		Sibele Esteves
******************/

package com272.trabalho;

import java.util.*;

public class ListaMovimento {
	private Vector lMovimento;

	public ListaMovimento( int _tam)
	{
		lMovimento = new Vector( _tam );
	}
// Adiciona uma tupla no  fim do vetor
	public void add( Movimento mv )
	{
		if (this.size() == this.capacity()) removeFirst();
		lMovimento.add( mv );
	}

	public boolean contains( Movimento mv ){
		Movimento movimento;
		for (int i = 0; i<this.size(); i++) {
			movimento = this.get(i);
			if ( (movimento.getJob()==mv.getJob()) && (movimento.getDestino()==mv.getDestino()) )
				return true;
		}
		return false;
	}

// Remove a primeira tupla e a retorna
	public Movimento removeFirst(){
		return (Movimento)lMovimento.remove( 0 );
	}

	public Movimento get( int _i ) {
		return (Movimento)lMovimento.elementAt( _i );
	}

// Verifica se o vetor esta vazio (true se vazio)
	public boolean isEmpty(){
		return lMovimento.isEmpty();
	}
// Retorna lixo
	public String toString () {
		return lMovimento.toString();
	}
// Retorna o numero de elementos do vetor
	public int size() {
		return lMovimento.size();
	}
//
	public int capacity() {
		return lMovimento.capacity();
	}
}