/******************
Universidade Federal de Ouro Preto
Departamento de Computao
Professor: Marcone Jamilson Freitas Souza
Alunos: Eduardo Magno
		Sibele Esteves
******************/

package com272.trabalho;

public class Pc {

	private int desempenho;
	private int mhzAlocado;
	private int lanAlocado;

	public Pc() {
		desempenho = 100;
		mhzAlocado = 0;
		lanAlocado = 0;
	}

	public Pc( int _d ) {
		desempenho = _d;
		mhzAlocado = 0;
		lanAlocado = 0;
	}

	public Pc( int _d, int _mhz, int _lan ) {
		desempenho = _d;
		mhzAlocado = _mhz;
		lanAlocado = _lan;
	}

	public int getDesempenho() {
		return desempenho;
	}

	public void setDesempenho( int _d ) {
		desempenho = _d;
	}

	public int getMhzAlocado() {
		return mhzAlocado;
	}

	public void alocaMhz( int _mhz ) {
		mhzAlocado = mhzAlocado + _mhz;
	}

	public void desalocaMhz( int _mhz ) {
		mhzAlocado = mhzAlocado - _mhz;
	}

	public int getLanAlocado() {
		return lanAlocado;
	}

	public void alocaLan( int _lan ) {
		lanAlocado = lanAlocado + _lan;
	}

	public void desalocaLan( int _lan ) {
		lanAlocado = lanAlocado - _lan;
	}

	public void aloca( Job _job ) {
		mhzAlocado = mhzAlocado + _job.getPeso();
		lanAlocado = lanAlocado + _job.getLan();
	}

	public void desaloca( Job _job ) {
		mhzAlocado = mhzAlocado - _job.getPeso();
		lanAlocado = lanAlocado - _job.getLan();
	}
}