/******************
Universidade Federal de Ouro Preto
Departamento de Computao
Professor: Marcone Jamilson Freitas Souza
Alunos: Eduardo Magno
		Sibele Esteves
******************/

package com272.trabalho;

import java.io.*;
import java.util.*;
import java.lang.*;

public class Ajobpc extends BuscaTabu {
    private DataInputStream input;

    public Ajobpc() {
		super(50, 1000);
		try {
            input = new DataInputStream( new FileInputStream( "e:/com272/trabalho/in.txt" ) );
			leDoArquivo (input);
        }
        catch ( IOException e ) { }
	}

    public Ajobpc( String file ) {
		super(50, 1000);
		try {
            input = new DataInputStream( new FileInputStream( file ) );
			leDoArquivo (input);
        }
        catch ( IOException e ) { }
	}

	public void leDoArquivo ( DataInputStream _file ) {
		int desempenhoPC;
		int pesoJob;
		int lanJob;
		nPc = getMFile(_file);
		pc = new Vector(nPc);
		for (int i = 0; i<nPc; i++ ) {
			desempenhoPC = getNextNumber(_file);
			pc.add( new Pc(desempenhoPC) );
		}
		nJob = getNFile(_file);
		job = new Vector(nJob);
		for (int i = 0; i<nJob; i++ ) {
			pesoJob = getNextNumber(_file);
			lanJob = getNextNumber(_file);
			job.add( new Job(pesoJob, lanJob) );
		}
	}

	public int getMFile ( DataInputStream _file ) {
		byte letra = ' ';
		int sm = 0;
        try {
			letra = _file.readByte();
			while ( (char)letra != 'P' ) letra = _file.readByte();
          	letra = _file.readByte();
          	if ( (char)letra == 'C' ) {
				while ( (char)letra != '=' ) letra = _file.readByte();
				sm = getNextNumber( _file );
			}
		}
        catch ( IOException e ) { System.out.println(" ERRO!!! Ao ler numero de PC do arquivo ... "); }
		return sm;
	}

	public int getNFile ( DataInputStream _file ) {
		byte letra = ' ';
		int sn = 0;
        try {
			letra = _file.readByte();
			while ( (char)letra != 'J' ) letra = _file.readByte();
          	letra = _file.readByte();
          	if ( (char)letra == 'O' ) {
				letra = _file.readByte();
     	     	if ( (char)letra == 'B' ) {
					while ( (char)letra != '=' ) letra = _file.readByte();
					sn = getNextNumber( _file );
				}
			}
		}
        catch ( IOException e ) { System.out.println(" ERRO!!! Ao ler numero de JOB do arquivo ... "); }
		return sn;
	}

	public int getNextNumber ( DataInputStream _file ) {
		byte letra = ' ';
		String number = "0";
		try {
			letra = _file.readByte();
			while ( !( Character.isDigit((char)letra) ) ) letra = _file.readByte();
			while ( ( Character.isDigit((char)letra) ) ) {
				number = number + (char)letra;
				letra = _file.readByte();
			}
		}
        catch ( IOException e ) { System.out.println(" ERRO!!! Ao ler um numero do arquivo ... "); }
		return Integer.parseInt(number);
	}

	public static void main ( String args[] ) {
		Ajobpc jp = new Ajobpc (args[0]);
//		Ajobpc jp = new Ajobpc ();
		jp.execute();
	}

/*****

	NA SUPERCLASSE "BuscaTabu"

    public void execute();

	public Movimento melhorMovimento( int[] _sol );

	public int moveJob( int _job, int _pc );

	public int avaliarSolucao();

	public int avaliaF1( Pc _pc );

	public int avaliaF2();

	public int[] geraSolInicial ();

*****/

}